Bug 238146 - [patch] arp(8): clarify meaning of -a
Summary: [patch] arp(8): clarify meaning of -a
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Gordon Bergling
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2019-05-26 19:24 UTC by Andrew Stevenson
Modified: 2020-07-20 16:52 UTC (History)
2 users (show)

See Also:


Attachments
patch to arp.8 (371 bytes, patch)
2019-05-26 19:24 UTC, Andrew Stevenson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Stevenson 2019-05-26 19:24:46 UTC
Created attachment 204623 [details]
patch to arp.8

Currently, the meaning of -a is not clear - will arp -a display or delete? I think either the deletion behaviour could just be mentioned under -d (not under -a at all) or something like the following patch that tries to indicate the conditions under which -a does deletion.
Comment 1 commit-hook freebsd_committer 2020-07-13 15:06:39 UTC
A commit references this bug:

Author: gbe
Date: Mon Jul 13 15:06:29 UTC 2020
New revision: 363146
URL: https://svnweb.freebsd.org/changeset/base/363146

Log:
  arp(8) clarify the use of the '-a flag'

  PR:		238146
  Submitted by:	Andrew Stevenson <andrew at ugh dot net dot au>
  Reported by:	Andrew Stevenson <andrew at ugh dot net dot au>
  Reviewed by:	bcr (mentor)
  Approved by:	bcr (mentor)
  MFC after:	1 week
  Differential Revision:	https://reviews.freebsd.org/D25645

Changes:
  head/usr.sbin/arp/arp.8
Comment 2 commit-hook freebsd_committer 2020-07-20 16:45:51 UTC
A commit references this bug:

Author: gbe
Date: Mon Jul 20 16:45:44 UTC 2020
New revision: 363369
URL: https://svnweb.freebsd.org/changeset/base/363369

Log:
  MFC r363146: arp(8) clarify the use of the '-a flag'

  PR:		238146
  Submitted by:	Andrew Stevenson <andrew at ugh dot net dot au>
  Reported by:	Andrew Stevenson <andrew at ugh dot net dot au>
  Reviewed by:	bcr (mentor)
  Approved by:	bcr (mentor)
  MFC after:	1 week
  Differential Revision:	https://reviews.freebsd.org/D25645

Changes:
_U  stable/12/
  stable/12/usr.sbin/arp/arp.8